<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<!--
<xsl:output method="html"/> 
-->
<!-- handling of the different types of params on a service form -->
<!-- boolean params -->
<xsl:template match="param[@type='boolean']">
<xsl:variable name="pname" select='@name'/>
<xsl:variable name='pdisplay' select='ancestor::service/display/param[@name=$pname]'/>
<td><xsl:value-of select='$pdisplay/name'/></td>
<td align='right'><select name='{@shortname}'>
<option value="0"><xsl:if test="@default='0'"><xsl:attribute name="selected"></xsl:attribute></xsl:if><xsl:value-of select='$pdisplay/option[@name="0"]'/></option>
<option value="1"><xsl:if test="@default='1'"><xsl:attribute name="selected"></xsl:attribute></xsl:if><xsl:value-of select='$pdisplay/option[@name="1"]'/></option>
</select>
</td>
</xsl:template>

<!-- integer params -->
<xsl:template match="param[@type='integer']">
<xsl:variable name="pname" select='@name'/>
<td><xsl:value-of select='ancestor::service/display/param[@name=$pname]/name'/></td><td align='right'><input type="text" name="{@shortname}" size="3" value="{@default}"/></td>
</xsl:template>

<!-- single selection enum params -->
<xsl:template match="param[@type='enum_single']">
<xsl:variable name="pname"><xsl:value-of select='@name'/></xsl:variable>
<xsl:variable name='pdisplay' select='ancestor::service/display/param[@name=$pname]'/>
<xsl:variable name="current"><xsl:value-of select="@default"/></xsl:variable>
<td><xsl:value-of select='$pdisplay/name'/></td>
<td align='right'><select name="{@shortname}">
    <xsl:for-each select="option">
      <xsl:variable name='op_name' select='@name'/>
      <option value="{@name}"><xsl:if test="@name=$current"><xsl:attribute name="selected"></xsl:attribute></xsl:if><xsl:value-of select='$pdisplay/option[@name=$op_name]'/></option>
    </xsl:for-each>
 </select></td>
</xsl:template>


<!-- multiple selection enum params -->
<xsl:template match="param[@type='enum_multi']">
<xsl:variable name="pname" select='@name'/>
<xsl:variable name='pdisplay' select='ancestor::service/display/param[@name=$pname]'/>
<td><xsl:value-of select='$pdisplay/name'/></td>
<td align='right'><select name="{@shortname}" size='2'><xsl:attribute name="multiple"></xsl:attribute>
<xsl:for-each select="option">
   <xsl:variable name='op_name' select='@name'/>
   <option value="{@name}"><xsl:value-of select='$pdisplay/option[@name=$op_name]'/></option>
    </xsl:for-each>
 </select></td>
</xsl:template>
 
<!-- string params -->
<xsl:template match="param[@type='string']">
<xsl:variable name="pname" select='@name'/>
<td><xsl:value-of select='ancestor::service/display/param[@name=$pname]/name'/></td>
<td align='right'><input type="text" name="{@shortname}" size="50" value="{@default}"/></td>
</xsl:template>
</xsl:stylesheet>  
